Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0481-1: moderate: Security update for openssl
openSUSE Security Update: Security update for openssl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0481-1
Rating: moderate
References: #1000677 #1001912 #1009528 #1019637 #1021641
#1022085 #1022086 #1022271
Cross-References: CVE-2016-7055 CVE-2017-3731 CVE-2017-3732

Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves three vulnerabilities and has 5 fixes
is now available.

Description:


This update for openssl fixes the following issues contained in the
OpenSSL Security Advisory [26 Jan 2017] (bsc#1021641)

Security issues fixed:
- CVE-2016-7055: The x86_64 optimized montgomery multiplication may
produce incorrect results (bsc#1009528)
- CVE-2017-3731: Truncated packet could crash via OOB read (bsc#1022085)
- CVE-2017-3732: BN_mod_exp may produce incorrect results on x86_64
(bsc#1022086)
- Degrade the 3DES cipher to MEDIUM in SSLv2 (bsc#1001912)

Non-security issues fixed:
- fix crash in openssl speed (bsc#1000677)
- fix X509_CERT_FILE path (bsc#1022271)
- AES XTS key parts must not be identical in FIPS mode (bsc#1019637)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-256=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libopenssl-devel-1.0.2j-4.1
libopenssl1_0_0-1.0.2j-4.1
libopenssl1_0_0-debuginfo-1.0.2j-4.1
libopenssl1_0_0-hmac-1.0.2j-4.1
openssl-1.0.2j-4.1
openssl-debuginfo-1.0.2j-4.1
openssl-debugsource-1.0.2j-4.1

- openSUSE Leap 42.2 (x86_64):

libopenssl-devel-32bit-1.0.2j-4.1
libopenssl1_0_0-32bit-1.0.2j-4.1
libopenssl1_0_0-debuginfo-32bit-1.0.2j-4.1
libopenssl1_0_0-hmac-32bit-1.0.2j-4.1

- openSUSE Leap 42.2 (noarch):

openssl-doc-1.0.2j-4.1


References:

https://www.suse.com/security/cve/CVE-2016-7055.html
https://www.suse.com/security/cve/CVE-2017-3731.html
https://www.suse.com/security/cve/CVE-2017-3732.html
https://bugzilla.suse.com/1000677
https://bugzilla.suse.com/1001912
https://bugzilla.suse.com/1009528
https://bugzilla.suse.com/1019637
https://bugzilla.suse.com/1021641
https://bugzilla.suse.com/1022085
https://bugzilla.suse.com/1022086
https://bugzilla.suse.com/1022271


< Previous Next >
This Thread
  • No further messages